Technical FAQs

Ask a Question

Can the BMXCRA module used in a M580 architecture

Yes the BMXCRA can be used in a M580 based architecture. The minimum firmware version required of BMXCRA is v2.05 or above if you plan to use them with M580.
Was this helpful?
What can we do to improve the information ?